variable "location" {
  description = <<-EOT
    Location of the infrastructure. Needs to be aligned with network zone.
    For more information visit https://docs.hetzner.com/cloud/general/locations/
  EOT
  type        = string
}

variable "network_zone" {
  description = <<-EOT
    Name of the network zone. Needs to be aligned with server location.
    For more information visit https://docs.hetzner.com/cloud/general/locations/
  EOT
  type        = string
}

variable "server_count" {
  description = "The number of servers to create"
  type        = number
}

variable "subnetwork_ip_range" {
  description = "Subnetwork IP range of the servers"
  type        = string
}

variable "lb_external_ip" {
  description = "IP address of the loadbalancer"
  type        = string
}

variable "lb_internal_ip" {
  description = "Internal IP address of the loadbalancer"
  type        = string
}

variable "lb_service_id" {
  description = "ID of the loadbalancer service to attach to"
  type        = number
}

variable "ssh_keys" {
  description = "SSH keys to add to servers"
  type        = list(string)
}

variable "public_ipv4" {
  description = ""
  type        = bool
  default     = false
}
